Mark all visible unread alert matches as seen
curl --request POST \
--url https://api-v2.watchcollect.com/v2/alerts/matches/seen \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts/matches/seen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts/matches/seen"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "accepted",
"matched_count": 1,
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"request_id": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}alerts
Mark all visible unread alert matches as seen
Marks every currently unread alert match visible to the authenticated workspace user as seen. Workspace member session access is honored before matches are updated.
POST
/
v2
/
alerts
/
matches
/
seen
Mark all visible unread alert matches as seen
curl --request POST \
--url https://api-v2.watchcollect.com/v2/alerts/matches/seen \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts/matches/seen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts/matches/seen"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "accepted",
"matched_count": 1,
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"request_id": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Bulk alert match seen events accepted and the alert match read model was updated.